Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## aop.example
Class AuthenticationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  aop.example.AuthenticationException

All Implemented Interfaces:
  java.io.Serializable

public class AuthenticationException
extends java.lang.RuntimeException

Исключение если пользователь не аутентифицирован Наследуется от RuntimeException - следовательно это unchecked exception

Author:
  Zubairov Renat
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.RuntimeException
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`AuthenticationException()` Стандартные конструкторы
`AuthenticationException(java.lang.String message)`
`AuthenticationException(java.lang.String message, java.lang.Throwable cause)`
`AuthenticationException(java.lang.Throwable cause)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthenticationException

    public AuthenticationException()

  Стандартные конструкторы

### AuthenticationException

    public AuthenticationException(java.lang.String message)

Parameters:
  `message` -

### AuthenticationException

    public AuthenticationException(java.lang.String message,
                                   java.lang.Throwable cause)

Parameters:
  `message` -
  `cause` -

### AuthenticationException

    public AuthenticationException(java.lang.Throwable cause)

Parameters:
  `cause` -

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD